#! /bin/bash

set -e

cd `dirname $0`
service_array=(mbusd.conf config-manager watch-dog cloud-proxy dimu message-router fota gateway-monitor task-dispatcher credential fc-base ifttt redis-server logger service-monitor RemoteTerminalDaemon nginx ModbusDebugger ModbusDebuggerProxy)

status_services() {
for service in ${service_array[@]}
do
	num=$(ps -eo user,pid,ppid,stat,args | grep "${service}" | grep -v grep | wc -l)
	pids=`ps -eo user,pid,ppid,stat,args | grep "${service}" | grep -v grep | awk '{print $2}'`
	if [ $num -ne 0 ];then
		${Q}echo -e "[  \033[32m+\033[0m  ]  Service ${service} is \033[32mactive\033[0m, pid is $pids"
	else
		${Q}echo -e "[  \033[0;31m-\033[0m  ]  Service ${service} is \033[0;31minactive\033[0m"
	fi
done
}

${Q}echo ""
${Q}echo "----------------------------------------------------------"
${Q}echo "                  Link IoT Edge Service Status            "
${Q}echo "----------------------------------------------------------"
${Q}echo ""
status_services
